Subject: Re: [Drip] HITs and HHITs as valid IPv6 addresses in 'draft-ietf-drip-rid'

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 12 Jan 2021 17:50:44 +0000

Hi Bob, for the record I support having HIT/HHIT declared as “valid IPv6 addresses”,
but the RFC8200 definition is not new and also appeared in both RFC2460 and
RFC1883. RFC4291 also says the following:

   “IPv6 addresses of all types are assigned to interfaces, not nodes.
   An IPv6 unicast address refers to a single interface.  Since each
   interface belongs to a single node, any of that node's interfaces'
   unicast addresses may be used as an identifier for the node.”

So, the definition of HIT/HHIT needs to state the manner in which
the value is assigned to an interface in order to qualify as a “valid
IPv6 address”. And, I think it is as simple as saying (sic) “assigned to
a virtual interface (e.g., a loopback, etc.)” and not anything any more
complicated than that. Trying to make this as easy as possible…

Thanks - Fred

From: Tm-rid [mailto:[email-masked]] On Behalf Of Robert Moskowitz
Sent: Tuesday, January 12, 2021 9:40 AM
To: Card, Stu <[email-masked]>; Templin (US), Fred L <[email-masked]>
Cc: [email-masked]; Dickson (US), Sean M <[email-masked]>
Subject: [EXTERNAL] Re: [Drip] HITs and HHITs as valid IPv6 addresses in 'draft-ietf-drip-rid'

HITs have always been associated with a virtual interface.  No problem there.

RFC 8200 post-dates RFC 5201 and 7201 definitions of HITs, so minimally HITs are grandfathered in as valid IPv6 addresses.

So the question is HHITs and how do they map into this 8200 definition.

The answer to this is HHITs are associated with a virtual interface that may be down or not.

I will add text on this.
On 1/12/21 12:13 PM, Card, Stu wrote:
Interesting point Fred.

One (sophist?) definition would be that a [H]HIT is associated with the set of virtual interfaces used by the host for HIP (e.g. hip0, hip1), with the caveat that these are not always up.

This is not really different from a DHCP reservation associated with a wireless interface on a mobile host, inc. one that connects to different routers so only gets that address when it connects to the router configured with that DHCP reservation.

Do you consider that sufficient?
On Tue, Jan 12, 2021, 11:57 AM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Hi, in the draft it says in a couple of places that HITs and HHITs are "valid IPv6 addresses".
But, in RFC8200, "address" is defined as follows:

   address      an IPv6-layer identifier for an interface or a set of interfaces.

So, the HIT/HHIT cannot be called a "valid IPv6 address" unless it is also associated
with an interface or a set of interfaces.

The simple and effective fix for this is to, in the document, state that the HIT/HHIT
will always be assigned to a virtual interface of the device (e.g., loopback, etc.).
With that simple fix, I believe the statement that the HIT/HHIT is a valid IPv6
address is supported; without it, I do not believe the claim can be made.

Thanks - Fred

--
Tm-rid mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tm-rid

--
Robert Moskowitz
Owner
HTT Consulting
C:      248-219-2059
F:      248-968-2824
E:      [email-masked]<mailto:[email-masked]>

There's no limit to what can be accomplished if it doesn't matter who gets the credit

---

From: Robert Moskowitz <[email-masked]>
Date: Tue, 12 Jan 2021 16:52:53 -0500

There was extensive discussions in the Namespace research group in the 
IAB about this.  In the end, I defined HITs as the address of a virtual 
interface above the Internetworking layer and below the Transport layer.

The Namespace research group report was never finished as consensus was 
never reached.  But pieces of it are all over the place.

Note that HIP has 2 IPv6 prefixes.  One 'experimental' for RFC 5201 the 
other 'standard' for RFC 7401.  So the IPv6 powers-that-be accepted this 
definition of HITs and a virtual interface.

HHITs do not change this.  They CAN be used in HIP directly with only 
change in the ORCHID construction.  No other changes needed, though more 
are being proposed.  See my secure-nrid-c2 draft for using HHITs within 
HIP as an example.

The value here is leveraging many different pieces to work within the 
highly constrained UA environment.

Bob

On 1/12/21 12:50 PM, Templin (US), Fred L wrote:
> Standard
> *From:*Tm-rid [mailto:[email-masked]] *On Behalf Of *Robert 
> Moskowitz
> *Sent:* Tuesday, January 12, 2021 9:40 AM
> *To:* Card, Stu <[email-masked]>; Templin (US), Fred L 
> <[email-masked]>
> *Cc:* [email-masked]; Dickson (US), Sean M <[email-masked]>
> *Subject:* [EXTERNAL] Re: [Drip] HITs and HHITs as valid IPv6 
> addresses in 'draft-ietf-drip-rid'
>
> RFC 8200 post-dates RFC 5201 and 7201 definitions of HITs, so 
> minimally HITs are grandfathered in as valid IPv6 addresses.
>
>     One (sophist?) definition would be that a [H]HIT is associated
>     with the set of virtual interfaces used by the host for HIP (e.g.
>     hip0, hip1), with the caveat that these are not always up.
>
>     This is not really different from a DHCP reservation associated
>     with a wireless interface on a mobile host, inc. one that connects
>     to different routers so only gets that address when it connects to
>     the router configured with that DHCP reservation.
>
>     On Tue, Jan 12, 2021, 11:57 AM Templin (US), Fred L
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         [email-masked] <mailto:[email-masked]>
>         <https://www.ietf.org/mailman/listinfo/tm-rid>
>
>
>